Inhalte

# Funktion FreeLibrary

Gibt per Anweisung Declare geladene DLLs frei. Eine freigegebene DLL wird beim Aufruf einer ihrer Funktionen automatisch neu geladen. Siehe auch: Declare

## Syntax:

    FreeLibrary (BibName As String)

## Parameter:

BibName: Zeichenfolgenausdruck, der den Namen der DLL festlegt.

FreeLibrary kann ausschließlich DLLs freigeben, die zur Basic-Laufzeit geladen werden.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Declare Sub MyMessageBeep Lib "user32.dll" Alias "MessageBeep" ( Long )
    Sub ExampleDeclare
    Dim lValue As Long
        lValue = 5000
        MyMessageBeep( lValue )
        FreeLibrary("user32.dll" )
    End Sub